Package com.macrofocus.high_d.parallelcoordinatesmatrix.swing

# Class SwingParallelCoordinatesMatrix<R,C>

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
com.macrofocus.high_d.parallelcoordinatesmatrix.swing.SwingParallelCoordinatesMatrix<R,C>

All Implemented Interfaces:
  `ParallelCoordinatesMatrix<JComponent,Color,R,C>`, `ImageObserver`, `MenuContainer`, `Serializable`

public class SwingParallelCoordinatesMatrix<R,C> extends JComponent implements ParallelCoordinatesMatrix<JComponent,Color,R,C>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingParallelCoordinatesMatrix()`
  Creates a ParallelCoordinates component with default settings and configuration.
  `SwingParallelCoordinatesMatrix(ParallelCoordinatesMatrixModel model)`
  Creates a ParallelCoordinates component with the its native data model.
  `SwingParallelCoordinatesMatrix(com.macrofocus.molap.dataframe.DataFrame<R,C,?> dataFrame)`
  Creates a ParallelCoordinates component with the specified Swing TableModel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ParallelCoordinatesMatrixController`
  `createController(ParallelCoordinatesMatrixView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected ParallelCoordinatesMatrixModel`
  `createParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame<R,C,?> dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected ParallelCoordinatesMatrixView`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `ParallelCoordinatesMatrixController`
  `getController()`
  Returns the controller used by the parallel coordinates component.
  `ParallelCoordinatesMatrixModel`
  `getModel()`
  Returns the model used by the parallel coordinates component.
  `JComponent`
  `getNativeComponent()`
  `ParallelCoordinatesMatrixView`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `static void`
  `main(String[] args)`
  Sort of a Hello World! application to demonstrate the most basic use of the ParallelCoordinates API
  `void`
  `setController(ParallelCoordinatesMatrixController controller)`
  Sets the controller to be used by the parallel coordinates component and register the view currently in use.
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of ParallelCoordinates.
  `void`
  `setModel(ParallelCoordinatesMatrixModel model)`
  Sets the model to be used for the parallel coordinates component and register it to the view.
  `void`
  `setView(ParallelCoordinatesMatrixView view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUI, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, disableInputMethodSupport, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SwingParallelCoordinatesMatrix

    public SwingParallelCoordinatesMatrix()
    Creates a ParallelCoordinates component with default settings and configuration.

  - ### SwingParallelCoordinatesMatrix

    public SwingParallelCoordinatesMatrix(ParallelCoordinatesMatrixModel model)
    Creates a ParallelCoordinates component with the its native data model.
    Parameters:
      `model` - a ParallelCoordinatesModel

  - ### SwingParallelCoordinatesMatrix

    public SwingParallelCoordinatesMatrix(com.macrofocus.molap.dataframe.DataFrame<R,C,?> dataFrame)
    Creates a ParallelCoordinates component with the specified Swing TableModel.
    Parameters:
      `dataFrame` - a Swing TableModel

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of ParallelCoordinates. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### getModel

    public ParallelCoordinatesMatrixModel getModel()
    Returns the model used by the parallel coordinates component.
    Returns:
      the model in use

  - ### setModel

    public void setModel(ParallelCoordinatesMatrixModel model)
    Sets the model to be used for the parallel coordinates component and register it to the view.
    Specified by:
      `setModel` in interface `ParallelCoordinatesMatrix<JComponent,Color,R,C>`
    Parameters:
      `model` - the model to be used

  - ### getView

    public ParallelCoordinatesMatrixView getView()
    Returns the view used by the parallel coordinates component.
    Specified by:
      `getView` in interface `ParallelCoordinatesMatrix<JComponent,Color,R,C>`
    Returns:
      the view in use

  - ### setView

    public void setView(ParallelCoordinatesMatrixView view)
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Parameters:
      `view` - the view to be used

  - ### getController

    public ParallelCoordinatesMatrixController getController()
    Returns the controller used by the parallel coordinates component.
    Returns:
      the controller in use

  - ### setController

    public void setController(ParallelCoordinatesMatrixController controller)
    Sets the controller to be used by the parallel coordinates component and register the view currently in use.
    Parameters:
      `controller` - the controller in use

  - ### createParallelCoordinatesMatrixModel

    protected ParallelCoordinatesMatrixModel createParallelCoordinatesMatrixModel(com.macrofocus.molap.dataframe.DataFrame<R,C,?> dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected ParallelCoordinatesMatrixView createView()
    Creates a view that can be used by the parallel coordinates component
    Returns:
      a ParallelCoordinatesView instance

  - ### createController

    protected ParallelCoordinatesMatrixController createController(ParallelCoordinatesMatrixView view)
    Creates a controller that can be used by the parallel coordinates component
    Parameters:
      `view` - the view that should be controlled
    Returns:

  - ### getNativeComponent

    public JComponent getNativeComponent()
    Specified by:
      `getNativeComponent` in interface `ParallelCoordinatesMatrix<JComponent,Color,R,C>`

  - ### main

    public static void main(String[] args)
    Sort of a Hello World! application to demonstrate the most basic use of the ParallelCoordinates API